Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026334RunnerHTML5Public2017-04-28 11:432017-07-26 10:58
ReporterStewart Bishop 
Assigned ToMike Dailly 
PriorityLowSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
PlatformOSOS Version
Summary0026334: HTML5: mouse_check_button returns true when releasing mouse button outside of defined game canvas
Descriptionmouse_check_button returns true in HTML5 when releasing mouse button outside of defined game canvas. Stays active until changing browser tab, alt tabbing or holding and releasing button inside game canvas.
Steps To Reproduce1) Run attached sample
2) Hold a mouse button inside the canvas
3) Release it outside the canvas
4) See that it is still classed as being held down
1.4 Version
2.x Runtime Version2.0.6.76
2.x Runtime Version Verified In2.1.0.121
Attached Files? file icon yoyo_html5_mouse_check_true.yyz [^] (21,489 bytes) 2017-04-28 11:43

- Relationships

-  Notes
(0053568)
Mike Dailly (Manager)
2017-06-13 09:15

fixed
(0054575)
Sam Cumming (Administrator)
2017-07-26 10:58

Verified > rt 2.1.0.121 - Closing.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker